import { FoundationTheme } from '@nuskin/foundation-theme';
import { ReactNode } from 'react';

declare module '@mui/material/LinearProgress' {
    // eslint-disable-next-line no-unused-vars
    interface LinearProgressPropsColorOverrides {
        neutral: true;
        accentColorA: true;
        accentColorB: true;
        accentColorC: true;
        accentColorD: true;
    }
}

export type NsProgressProps = {
    barColor?: FoundationTheme.PaletteColors;
    backgroundColor?: FoundationTheme.PaletteColors;
    height?: string;
    value: number;
    body?: ReactNode;
};
